#!/usr/bin/env python
# -*- coding: iso-8859-1 -*-

# Mattricks, a free helper program for hattricks players.
# Copyright (C) 2003-2004 Mattricks Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sys

if sys.version < '2.3':
    sys.stdout.write("This program requires python 2.3 or higher.")

if __name__ == "__main__":
    try:
        from Mattricks import Init
    except ImportError , err:
        sys.stdout.write("Unable to import Mattricks." + "\n\n")
        sys.stdout.write(str(err) + "\n")
        sys.exit()

    Init.init_error_handling()
    Init.init_i18n()
    Init.start()
