# -*- coding: iso-8859-1 -*-

# Mattricks, a free helper program for hattricks players.
# Copyright (C) 2003-2004 Mattricks Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

player_abilities = {
    0:  _("pa non-existent")[3:],
    1:  _("pa disastrous")[3:],
    2:  _("pa wretched")[3:],
    3:  _("pa poor")[3:],
    4:  _("pa weak")[3:],
    5:  _("pa inadequate")[3:],
    6:  _("pa passable")[3:],
    7:  _("pa solid")[3:],
    8:  _("pa excellent")[3:],
    9:  _("pa formidable")[3:],
    10: _("pa outstanding")[3:],
    11: _("pa brilliant")[3:],
    12: _("pa magnificent")[3:],
    13: _("pa world class")[3:],
    14: _("pa supernatural")[3:],
    15: _("pa titanic")[3:],
    16: _("pa extra-terrestrial")[3:],
    17: _("pa mythical")[3:],
    18: _("pa magical")[3:],
    19: _("pa utopian")[3:],
    20: _("pa divine")[3:]
    }

coach_skills = {
    1: _("cs disastrous")[3:],
    2: _("cs wretched")[3:],
    3: _("cs poor")[3:],
    4: _("cs weak")[3:],
    5: _("cs inadequate")[3:],
    6: _("cs passable")[3:],
    7: _("cs solid")[3:],
    8: _("cs excellent")[3:]
    }

formation_experience = {
    1: _("fe disastrous")[3:],
    2: _("fe wretched")[3:],
    3: _("fe poor")[3:],
    4: _("fe weak")[3:],
    5: _("fe inadequate")[3:],
    6: _("fe passable")[3:],
    7: _("fe solid")[3:],
    8: _("fe excellent")[3:]
    }

sponsors_and_supporters = {
    1: _("ss murderous")[3:],
    2: _("ss furious")[3:],
    3: _("ss irritated")[3:],
    4: _("ss calm")[3:],
    5: _("ss content")[3:],
    6: _("ss satisfied")[3:],
    7: _("ss delirious")[3:],
    8: _("ss high on life")[3:],
    9: _("ss dancing in the streets")[3:],
    10: _("ss sending love poems to you")[3:]
    }

agreeability = {
    0: _("aa nasty")[3:],
    1: _("aa controversial")[3:],
    2: _("aa pleasant")[3:],
    3: _("aa sympathetic")[3:],
    4: _("aa popular")[3:],
    5: _("aa beloved team member")[3:]
    }

honesty = {
    0: _("hy infamous")[3:],
    1: _("hy dishonest")[3:],
    2: _("hy honest")[3:],
    3: _("hy upright")[3:],
    4: _("hy righteous")[3:],
    5: _("hy saint like")[3:]
    }

aggressiveness = {
    0: _("as tranquil")[3:],
    1: _("as calm")[3:],
    2: _("as balanced")[3:],
    3: _("as temperamental")[3:],
    4: _("as fiery")[3:]
    }

youth_squad = {
    1: _("ys disastrous")[3:],
    2: _("ys wretched")[3:],
    3: _("ys poor")[3:],
    4: _("ys weak")[3:],
    5: _("ys inadequate")[3:],
    6: _("ys passable")[3:],
    7: _("ys solid")[3:],
    8: _("ys excellent")[3:]
    }

team_spirit = {
    0:  _("ts like the cold War")[3:],
    1:  _("ts murderous")[3:],
    2:  _("ts furious")[3:],
    3:  _("ts irritated")[3:],
    4:  _("ts composed")[3:],
    5:  _("ts calm")[3:],
    6:  _("ts content")[3:],
    7:  _("ts satisfied")[3:],
    8:  _("ts delirious")[3:],
    9:  _("ts walking on clouds")[3:],
    10: _("ts paradise on Earth")[3:],
    11: _("ts paradise on Earth")[3:]
    }

team_self_confidence = {
    1: _("tc non-existent")[3:],
    1: _("tc disastrous")[3:],
    2: _("tc wretched")[3:],
    3: _("tc poor")[3:],
    4: _("tc decent")[3:],
    5: _("tc strong")[3:],
    6: _("tc wonderful")[3:],
    7: _("tc slightly exaggerated")[3:]
    }

speciality = {
    0: _("None"),
    1: _("Technical"),
    2: _("Quick"),
    3: _("Powerful"),
    4: _("Unpredictable"),
    5: _("Head")
    }

individual_order = {
    0: _("normal"),
    1: _("offensive"),
    2: _("defensive"),
    3: _("towards the middle"),
    4: _("towards the wing"),
    5: _("extra forward"),
    6: _("extra midfielder"),
    7: _("extra defender")
    }

attitude = {
    -1: _("Play it Cool"),
    0: _("Normal"),
    1: _("Match of the Season")
    }

# Check this one, the third type is uncertain
coach_type = {
    0: _("defensive"),
    1: _("offensive"),
    2: _("normal")
    }

expanding = {
    0: _("No"),
    1: _("Yes")
    }

training_type = {
    0: _("tt General")[3:],
    1: _("tt Stamina")[3:],
    2: _("tt Set Pieces")[3:],
    3: _("tt Defending")[3:],
    4: _("tt Scoring")[3:],
    5: _("tt Cross Pass (Winger)")[3:],
    6: _("tt Shooting")[3:],
    7: _("tt Short Passes")[3:],
    8: _("tt Playmaking")[3:],
    9: _("tt Goaltending")[3:]
    }

injury = {
    -1: _("Healthy"),
    0: _("Bruised"),
    1: (ngettext("%d week", "%d weeks", 1) % 1),
    2: (ngettext("%d week", "%d weeks", 2) % 2),
    3: (ngettext("%d week", "%d weeks", 3) % 3),
    4: (ngettext("%d week", "%d weeks", 4) % 4),
    5: (ngettext("%d week", "%d weeks", 5) % 5),
    6: (ngettext("%d week", "%d weeks", 6) % 6),
    7: (ngettext("%d week", "%d weeks", 7) % 7),
    8: (ngettext("%d week", "%d weeks", 8) % 8),
    9: (ngettext("%d week", "%d weeks", 9) % 9)
    }

team_parts = [
    ("mf", _("Midfield")),
    ("rd", _("Right defence")),
    ("md", _("Middle defence")),
    ("ld", _("Left defence")),
    ("ra", _("Right attack")),
    ("ma", _("Middle attack")),
    ("la", _("Left attack"))
    ]

team_positions = {
    0: ("goalie", _('Goalkeeper')),
    1: ("centraldefender", _('Central defender')),
    2: ("centraldefender_offensive", _('Offensive central defender')),
    3: ("centraldefender_towards_the_wing", _('Central defender, towards the wing')),
    4: ("wingback", _('Wingback')),
    5: ("wingback_offensive", _('Offensive wingback')),
    6: ("wingback_defensive", _('Defensive wingback')),
    7: ("wingback_towards_the_middle", _('Wingback, towards the middle')),
    8: ("innermid", _('Midfielder')),
    9: ("innermid_offensive", _('Offensive midfielder')),
    10: ("innermid_defensive", _('Defensive midfielder')),
    11: ("innermid_towards_the_wing", _('Midfielder, towards the wing')),
    12: ("winger", _('Winger')),
    13: ("winger_offensive", _('Offensive winger')),
    14: ("winger_defensive", _('Defensive winger')),
    15: ("winger_towards_the_middle", _('Winger, towards the middle')),
    16: ("forward", _('Forward')),
    17: ("forward_defensive", _('Defensive forward'))
    }

team_role = {
    1: _('Goalkeeper'),
    2: _('Right wingback'),
    3: _('Central defender 1'),
    4: _('Central defender 2'),
    5: _('Left wingback'),
    6: _('Right winger'),
    7: _('Midfielder 1'),
    8: _('Midfielder 2'),
    9: _('Left winger'),
    10: _('Forward 1'),
    11: _('Forward 2'),
    12: _('Substitution (Goalkeeper)'),
    13: _('Substitution (Defender)'),
    14: _('Substitution (Midfielder)'),
    15: _('Substitution (Winger)'),
    16: _('Substitution (Forward)'),
    17: _('Set pieces'),
    18: _('Captain'),
    19: _('Replaced player 1'),
    20: _('Replaced player 2'),
    21: _('Replaced player 3')
    }

team_attitude = {
    -1: _('Play it cool'),
    0: _('Normal'),
    1: _('Match of the season')
    }

match_type = {
    0: _("Unknown"),
    1: _("League match"),
    2: _("Qualifying match"),
    3: _("Cup match"),
    4: _("Friendly match with normal rules"),
    5: _("Friendly match with cup rules"),
    6: _("International competition match with normal rules"),
    7: _("International competition match with cup rules"),
    8: _("International friendly with normal rules"),
    9: _("International friendly with cup rules"),
    10: _("National team competition match with normal rules"),
    11: _("National team competition match with cup rules"),
    12: _("National team friendly")
    }

weather = {
    0: _("Rain"),
    1: _("Overcast"),
    2: _("Partially Cloudy"),
    3: _("Sunny")
    }

match_status = {
    "FINISHED": _("Finished"),
    "ONGOING": _("Ongoing"),
    "UPCOMING": _("Upcoming")
    }

partial_match_grade = {
    1: _("Very low"),
    2: _("Low"),
    3: _("High"),
    4: _("Very high")
    }

dress_colours = {
    1: "#CC0000", # Rd
    2: "#009900", # Grn
    3: "#FFFFFF", # Vit
    4: "#0B0B0B", # Svart
    5: "#0033CC", # Bl
    6: "#F1DF01", # Gul
    7: "#99CCFF", # Ljusbl
    8: "#FF6600", # Orange
    9: "#660000", # Vinrd
    11: "#003366", # Mrkbl
    12: "#FF99CC", # Rosa
    13: "#999999", # Gr
    14: "#003300", # Mrkgrn
    15: "#9900CC", # Lila
    16: "#0066FF", # Klarbl
    17: "#99FF99", # Lime
    18: "#996600", # Lderbrun
    19: "#FF0000", # Smultronrd
    20: "#FFFF33", # Kanariegul
    21: "#FFCC00", # Banangul
    }

sub_dress_colours = {
    1: "#CC8080", # Rd
    2: "#809980", # Grn
    3: "#808080", # Vit
    4: "#8B8B8B", # Svart
    5: "#3366FF", # Bl
    6: "#FFFF81", # Gul
    7: "#0080C0", # Ljusbl
    8: "#FFB040", # Orange
    9: "#D02020", # Vinrd
    11: "#0060FF", # Mrkbl
    12: "#FFD0FF", # Rosa
    13: "#D0D0D0", # Gr
    14: "#008000", # Mrkgrn
    15: "#9900CC", # Lila
    16: "#40A6FF", # Klarbl
    17: "#D0FFD0", # Lime
    18: "#B08620", # Lderbrun
    19: "#FF8080", # Smultronrd
    20: "#FFFFB0", # Kanariegul
    21: "#FFFFB0", # Banangul
    }
team_tactic = {
    0: _("ta normal")[3:],
    1: _("ta pressing")[3:],
    2: _("ta counter-attack")[3:],
    3: _("ta attack in the middle")[3:],
    4: _("ta attack in wings")[3:],
    }
